Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class GuiMerchant

    java.lang.Object
      net.minecraft.src.Gui
          net.minecraft.src.GuiScreen
              net.minecraft.src.GuiContainer
                  net.minecraft.src.GuiMerchant

    public class GuiMerchant

extends GuiContainer

Field Summary

Fields inherited from class net.minecraft.src.GuiContainer
`inventorySlots`

Fields inherited from class net.minecraft.src.GuiScreen
`allowUserInput, field_90017_e, guiParticles, height, width`

Constructor Summary
`GuiMerchant(InventoryPlayer par1InventoryPlayer, IMerchant par2IMerchant, World par3World)`

Method Summary
`void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.
`IMerchant` | `getIMerchant()` Gets the Instance of IMerchant interface.
`void` | `initGui()` Adds the buttons (and other controls) to the screen in question.
`void` | `updateScreen()` Called from the main game loop to update the screen.

Methods inherited from class net.minecraft.src.GuiContainer
`doesGuiPauseGame, onGuiClosed`

Methods inherited from class net.minecraft.src.GuiScreen
`confirmClicked, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, setClipboardString, setWorldAndResolution`

Methods inherited from class net.minecraft.src.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiMerchant

    public GuiMerchant(InventoryPlayer par1InventoryPlayer,
                       IMerchant par2IMerchant,
                       World par3World)

Method Detail

### initGui

    public void initGui()

  Adds the buttons (and other controls) to the screen in question.

  Overrides:
    `initGui` in class `GuiContainer`

### updateScreen

    public void updateScreen()

  Called from the main game loop to update the screen.

  Overrides:
    `updateScreen` in class `GuiContainer`

### drawScreen

    public void drawScreen(int par1,
                           int par2,
                           float par3)

  Draws the screen and all the components in it.

  Overrides:
    `drawScreen` in class `GuiContainer`

### getIMerchant

    public IMerchant getIMerchant()

  Gets the Instance of IMerchant interface.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD